import javax.swing.JFrame;

/**
 * Luminance
 */
public class Luminance {

    public static void main(String[] args) {
        JFrame f = new JFrame();

        LumPanel lm = new LumPanel();
        lm.setLocation(0, 0);
        lm.setSize(480, 100);

        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setLocation(200, 200);
        f.setSize(400, 100);
        f.setResizable(false);
        f.add(lm);
        f.setLayout(null);
        f.setVisible(true);

        lm.addMouseListener(new LumListener());
    }
}